TARGET = bxxviewer
PSPSDK = $(shell psp-config --pspsdk-path)
PSPBIN = $(shell psp-config --psp-prefix)/bin
SDL_CONFIG = $(PSPBIN)/sdl-config

PSP_FW_VERSION=380

OBJS = $(TARGET).o \
\
bxxstream.o drawprimitives.o ../../BlinkenLib/source/BlinkenFrame.o ../../BlinkenLib/source/BlinkenMovie.o ../../BlinkenLib/source/Tools.o

DEFAULT_CFLAGS = $(shell $(SDL_CONFIG) --cflags)
MORE_CFLAGS = -g -O2  -I../../BlinkenLib/headers -DDISABLE_NETWORK
CFLAGS = $(DEFAULT_CFLAGS) $(MORE_CFLAGS)
CXXFLAGS = -fno-exceptions -fno-rtti

LIBS = -lpspwlan -lSDL -lSDL_image -lSDL_ttf -lSDL_mixer -lstdc++ $(shell $(SDL_CONFIG) --libs)

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = bxxviewer

include $(PSPSDK)/lib/build.mak
